version: "3.8"
services:
  tmerclub-auth:
    build:
      context: tmerclub-auth
    container_name: tmerclub-auth
    deploy:
      resources:
        limits:
          memory: 768M
    environment:
      - NACOS_HOST=192.168.193.128
      - NACOS_PORT=8848
      - NACOS_PASSWORD=hn02le.34lkdLKD
      - TZ=Asia/Shanghai
    expose:
      - 9101
    network_mode: "host"
    image: tmerclub-auth
    restart: always
    volumes:
      - ./tmerclub-auth:/opt/projects/tmerclub

  tmerclub-biz:
    build:
      context: tmerclub-biz
    container_name: tmerclub-biz
    deploy:
      resources:
        limits:
          memory: 768M
    environment:
      - NACOS_HOST=192.168.193.128
      - NACOS_PORT=8848
      - NACOS_PASSWORD=hn02le.34lkdLKD
      - TZ=Asia/Shanghai
    expose:
      - 9118
    network_mode: "host"
    image: tmerclub-biz
    restart: always
    volumes:
      - ./tmerclub-biz:/opt/projects/tmerclub

  tmerclub-marketing:
    build:
      context: tmerclub-marketing
    container_name: tmerclub-marketing
    deploy:
      resources:
        limits:
          memory: 768M
    environment:
      - NACOS_HOST=192.168.193.128
      - NACOS_PORT=8848
      - NACOS_PASSWORD=hn02le.34lkdLKD
      - TZ=Asia/Shanghai
    expose:
      - 9109
    network_mode: "host"
    image: tmerclub-marketing
    restart: always
    volumes:
      - ./tmerclub-marketing:/opt/projects/tmerclub

  tmerclub-flow:
    build:
      context: tmerclub-flow
    container_name: tmerclub-flow
    deploy:
      resources:
        limits:
          memory: 768M
    environment:
      - NACOS_HOST=192.168.193.128
      - NACOS_PORT=8848
      - NACOS_PASSWORD=hn02le.34lkdLKD
      - TZ=Asia/Shanghai
    expose:
      - 9116
    network_mode: "host"
    image: tmerclub-flow
    restart: always
    volumes:
      - ./tmerclub-flow:/opt/projects/tmerclub

  tmerclub-gateway:
    build:
      context: tmerclub-gateway
    container_name: tmerclub-gateway
    deploy:
      resources:
        limits:
          memory: 768M
    environment:
      - NACOS_HOST=192.168.193.128
      - NACOS_PORT=8848
      - NACOS_PASSWORD=hn02le.34lkdLKD
      - TZ=Asia/Shanghai
    expose:
      - 8000
    network_mode: "host"
    image: tmerclub-gateway
    restart: always
    volumes:
      - ./tmerclub-gateway:/opt/projects/tmerclub

  tmerclub-group:
    build:
      context: tmerclub-group
    container_name: tmerclub-group
    deploy:
      resources:
        limits:
          memory: 768M
    environment:
      - NACOS_HOST=192.168.193.128
      - NACOS_PORT=8848
      - NACOS_PASSWORD=hn02le.34lkdLKD
      - TZ=Asia/Shanghai
    expose:
      - 9114
    network_mode: "host"
    image: tmerclub-group
    restart: always
    volumes:
      - ./tmerclub-group:/opt/projects/tmerclub

  tmerclub-im:
    build:
      context: tmerclub-im
    container_name: tmerclub-im
    deploy:
      resources:
        limits:
          memory: 768M
    environment:
      - NACOS_HOST=192.168.193.128
      - NACOS_PORT=8848
      - NACOS_PASSWORD=hn02le.34lkdLKD
      - TZ=Asia/Shanghai
    expose:
      - 9120
    network_mode: "host"
    image: tmerclub-im
    restart: always
    volumes:
      - ./tmerclub-im:/opt/projects/tmerclub

  tmerclub-order:
    build:
      context: tmerclub-order
    container_name: tmerclub-order
    deploy:
      resources:
        limits:
          memory: 1536M
    environment:
      - NACOS_HOST=192.168.193.128
      - NACOS_PORT=8848
      - NACOS_PASSWORD=hn02le.34lkdLKD
      - TZ=Asia/Shanghai
    expose:
      - 9106
    network_mode: "host"
    image: tmerclub-order
    restart: always
    volumes:
      - ./tmerclub-order:/opt/projects/tmerclub

  tmerclub-payment:
    build:
      context: tmerclub-payment
    container_name: tmerclub-payment
    deploy:
      resources:
        limits:
          memory: 768M
    environment:
      - NACOS_HOST=192.168.193.128
      - NACOS_PORT=8848
      - NACOS_PASSWORD=hn02le.34lkdLKD
      - TZ=Asia/Shanghai
    expose:
      - 9113
    network_mode: "host"
    image: tmerclub-payment
    restart: always
    volumes:
      - ./tmerclub-payment:/opt/projects/tmerclub

  tmerclub-admin:
    build:
      context: tmerclub-admin
    container_name: tmerclub-admin
    deploy:
      resources:
        limits:
          memory: 768M
    environment:
      - NACOS_HOST=192.168.193.128
      - NACOS_PORT=8848
      - NACOS_PASSWORD=hn02le.34lkdLKD
      - TZ=Asia/Shanghai
    expose:
      - 9112
    network_mode: "host"
    image: tmerclub-admin
    restart: always
    volumes:
      - ./tmerclub-admin:/opt/projects/tmerclub

  tmerclub-product:
    build:
      context: tmerclub-product
    container_name: tmerclub-product
    deploy:
      resources:
        limits:
          memory: 1536M
    environment:
      - NACOS_HOST=192.168.193.128
      - NACOS_PORT=8848
      - NACOS_PASSWORD=hn02le.34lkdLKD
      - TZ=Asia/Shanghai
    expose:
      - 9104
    network_mode: "host"
    image: tmerclub-product
    restart: always
    volumes:
      - ./tmerclub-product:/opt/projects/tmerclub

  tmerclub-search:
    build:
      context: tmerclub-search
    container_name: tmerclub-search
    deploy:
      resources:
        limits:
          memory: 768M
    environment:
      - NACOS_HOST=192.168.193.128
      - NACOS_PORT=8848
      - NACOS_PASSWORD=hn02le.34lkdLKD
      - TZ=Asia/Shanghai
    expose:
      - 9108
    network_mode: "host"
    image: tmerclub-search
    restart: always
    volumes:
      - ./tmerclub-search:/opt/projects/tmerclub

  tmerclub-seckill:
    build:
      context: tmerclub-seckill
    container_name: tmerclub-seckill
    deploy:
      resources:
        limits:
          memory: 768M
    environment:
      - NACOS_HOST=192.168.193.128
      - NACOS_PORT=8848
      - NACOS_PASSWORD=hn02le.34lkdLKD
      - TZ=Asia/Shanghai
    expose:
      - 9115
    network_mode: "host"
    image: tmerclub-seckill
    restart: always
    volumes:
      - ./tmerclub-seckill:/opt/projects/tmerclub

  tmerclub-user:
    build:
      context: tmerclub-user
    container_name: tmerclub-user
    deploy:
      resources:
        limits:
          memory: 768M
    environment:
      - NACOS_HOST=192.168.193.128
      - NACOS_PORT=8848
      - NACOS_PASSWORD=hn02le.34lkdLKD
      - TZ=Asia/Shanghai
    expose:
      - 9105
    network_mode: "host"
    image: tmerclub-user
    restart: always
    volumes:
      - ./tmerclub-user:/opt/projects/tmerclub
